<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions name="IGestoreConsensoService" targetNamespace="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsp="http://www.w3.org/ns/ws-policy" xmlns:xsd="http://www.w3.org/2001/XMLSchema">

<ns1:Policy xmlns:ns1="http://schemas.xmlsoap.org/ws/2004/09/policy" wsu:Id="PddaslPortBindingPolicy">
		<ns1:ExactlyOne>
			<ns1:All>

				<ns6:AsymmetricBinding xmlns:ns6="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
					<ns1:Policy>
						<ns1:ExactlyOne>
							<ns1:All>
								<ns6:AlgorithmSuite>
									<ns1:Policy>
										<ns1:ExactlyOne>
											<ns1:All>
												<ns6:Basic128 />
											</ns1:All>
										</ns1:ExactlyOne>
									</ns1:Policy>
								</ns6:AlgorithmSuite>
								<ns6:IncludeTimestamp />
								<ns6:InitiatorToken>
									<ns1:Policy>
										<ns1:ExactlyOne>
											<ns1:All>
												<ns6:X509Token ns6:IncludeToken="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy/IncludeToken/AlwaysToRecipient">
													<ns1:Policy>
														<ns1:ExactlyOne>
															<ns1:All>
																<ns6:WssX509V3Token10 />
															</ns1:All>
														</ns1:ExactlyOne>
													</ns1:Policy>
												</ns6:X509Token>
											</ns1:All>
										</ns1:ExactlyOne>
									</ns1:Policy>
								</ns6:InitiatorToken>
								<ns6:Layout>
									<ns1:Policy>
										<ns1:ExactlyOne>
											<ns1:All>
												<ns6:Lax />
											</ns1:All>
										</ns1:ExactlyOne>
									</ns1:Policy>
								</ns6:Layout>
								<ns6:OnlySignEntireHeadersAndBody />
								<ns6:RecipientToken>
									<ns1:Policy>
										<ns1:ExactlyOne>
											<ns1:All>
												<ns6:X509Token ns6:IncludeToken="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy/IncludeToken/Never">
													<ns1:Policy>
														<ns1:ExactlyOne>
															<ns1:All>
																<ns6:WssX509V3Token10 />
															</ns1:All>
														</ns1:ExactlyOne>
													</ns1:Policy>
												</ns6:X509Token>
											</ns1:All>
										</ns1:ExactlyOne>
									</ns1:Policy>
								</ns6:RecipientToken>
							</ns1:All>
						</ns1:ExactlyOne>
					</ns1:Policy>
				</ns6:AsymmetricBinding>
				<ns7:Wss10 xmlns:ns7="http://schemas.xmlsoap.org/ws/2005/07/securitypolicy">
					<ns1:Policy>
						<ns1:ExactlyOne>
							<ns1:All>
								<ns7:MustSupportRefIssuerSerial />
								<ns7:MustSupportRefKeyIdentifier />
							</ns1:All>
						</ns1:ExactlyOne>
					</ns1:Policy>
				</ns7:Wss10>
			</ns1:All>
		</ns1:ExactlyOne>
	</ns1:Policy>


	<wsdl:types>
	
	<xsd:schema>
		<xsd:import namespace="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/" schemaLocation="IGestoreConsensoService.xsd" />
	</xsd:schema>
		

  </wsdl:types>
  <wsdl:message name="blindDocumentResponse">
    <wsdl:part element="tns:blindDocumentResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setDisclosure">
    <wsdl:part element="tns:setDisclosure" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="getPreviousAgreement">
    <wsdl:part element="tns:getPreviousAgreement" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="getDocumentBlindStatus">
    <wsdl:part element="tns:getDocumentBlindStatus" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setWritingAgreement">
    <wsdl:part element="tns:setWritingAgreement" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setWritingAgreementResponse">
    <wsdl:part element="tns:setWritingAgreementResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setPreviousAgreementResponse">
    <wsdl:part element="tns:setPreviousAgreementResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setReadingAgreement">
    <wsdl:part element="tns:setReadingAgreement" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="blindDocument">
    <wsdl:part element="tns:blindDocument" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setReadingAgreementResponse">
    <wsdl:part element="tns:setReadingAgreementResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="getDocumentBlindStatusResponse">
    <wsdl:part element="tns:getDocumentBlindStatusResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="getPreviousAgreementResponse">
    <wsdl:part element="tns:getPreviousAgreementResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="getAgreements">
    <wsdl:part element="tns:getAgreements" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="getWritingAgreement">
    <wsdl:part element="tns:getWritingAgreement" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="getAgreementsResponse">
    <wsdl:part element="tns:getAgreementsResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="getWritingAgreementResponse">
    <wsdl:part element="tns:getWritingAgreementResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="getReadingAgreement">
    <wsdl:part element="tns:getReadingAgreement" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setPreviousAgreement">
    <wsdl:part element="tns:setPreviousAgreement" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="getReadingAgreementResponse">
    <wsdl:part element="tns:getReadingAgreementResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setDisclosureResponse">
    <wsdl:part element="tns:setDisclosureResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setAgreements">
	<wsdl:part element="tns:setAgreements" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setAgreementsResponse">
	<wsdl:part element="tns:setAgreementsResponse" name="parameters"/>
  </wsdl:message>	
  <wsdl:message name="setChiusuraPianoECareResponse">
	<wsdl:part element="tns:setChiusuraPianoECareResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setChiusuraPianoECare">
	<wsdl:part element="tns:setChiusuraPianoECare" name="parameters"/>
  </wsdl:message>	
  <wsdl:message name="setConsensoPianoECare">
	<wsdl:part element="tns:setConsensoPianoECare" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="setConsensoPianoECareResponse">
    <wsdl:part element="tns:setConsensoPianoECareResponse" name="parameters"/>
  </wsdl:message>
	

  <wsdl:portType name="IGestoreConsenso">
    <wsdl:operation name="setDisclosure">
      <wsdl:input message="tns:setDisclosure" name="setDisclosure"/>
      <wsdl:output message="tns:setDisclosureResponse" name="setDisclosureResponse"/>
    </wsdl:operation>
    <wsdl:operation name="getWritingAgreement">
      <wsdl:input message="tns:getWritingAgreement" name="getWritingAgreement"/>
      <wsdl:output message="tns:getWritingAgreementResponse" name="getWritingAgreementResponse"/>
    </wsdl:operation>
    <wsdl:operation name="setWritingAgreement">
      <wsdl:input message="tns:setWritingAgreement" name="setWritingAgreement"/>
      <wsdl:output message="tns:setWritingAgreementResponse" name="setWritingAgreementResponse"/>
    </wsdl:operation>
    <wsdl:operation name="getReadingAgreement">
      <wsdl:input message="tns:getReadingAgreement" name="getReadingAgreement"/>
      <wsdl:output message="tns:getReadingAgreementResponse" name="getReadingAgreementResponse"/>
    </wsdl:operation>
    <wsdl:operation name="setReadingAgreement">
      <wsdl:input message="tns:setReadingAgreement" name="setReadingAgreement"/>
      <wsdl:output message="tns:setReadingAgreementResponse" name="setReadingAgreementResponse"/>
    </wsdl:operation>
    <wsdl:operation name="getPreviousAgreement">
      <wsdl:input message="tns:getPreviousAgreement" name="getPreviousAgreement"/>
      <wsdl:output message="tns:getPreviousAgreementResponse" name="getPreviousAgreementResponse"/>
    </wsdl:operation>
    <wsdl:operation name="blindDocument">
      <wsdl:input message="tns:blindDocument" name="blindDocument"/>
      <wsdl:output message="tns:blindDocumentResponse" name="blindDocumentResponse"/>
    </wsdl:operation>
    <wsdl:operation name="getAgreements">
      <wsdl:input message="tns:getAgreements" name="getAgreements"/>
      <wsdl:output message="tns:getAgreementsResponse" name="getAgreementsResponse"/>
    </wsdl:operation>
    <wsdl:operation name="getDocumentBlindStatus">
      <wsdl:input message="tns:getDocumentBlindStatus" name="getDocumentBlindStatus"/>
      <wsdl:output message="tns:getDocumentBlindStatusResponse" name="getDocumentBlindStatusResponse"/>
    </wsdl:operation>
    <wsdl:operation name="setPreviousAgreement">
      <wsdl:input message="tns:setPreviousAgreement" name="setPreviousAgreement"/>
      <wsdl:output message="tns:setPreviousAgreementResponse" name="setPreviousAgreementResponse"/>
    </wsdl:operation>
	<wsdl:operation name="setConsensoPianoECare">
		<wsdl:input message="tns:setConsensoPianoECare" name="setConsensoPianoECare"/>
		<wsdl:output message="tns:setConsensoPianoECareResponse" name="setConsensoPianoECareResponse"/>
	</wsdl:operation>
	<wsdl:operation name="setChiusuraPianoECare">
		<wsdl:input message="tns:setChiusuraPianoECare" name="setChiusuraPianoECare"/>
		<wsdl:output message="tns:setChiusuraPianoECareResponse" name="setChiusuraPianoECareResponse"/>
	</wsdl:operation>
	<wsdl:operation name="setAgreements">
		<wsdl:input message="tns:setAgreements" name="setAgreements"/>
		<wsdl:output message="tns:setAgreementsResponse" name="setAgreementsResponse"/>
	</wsdl:operation>
  </wsdl:portType>
  
  
  <wsdl:binding name="IGestoreConsensoPortBinding" type="tns:IGestoreConsenso">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>    
    <wsp:PolicyReference URI="#PddaslPortBindingPolicy"/>
    <wsdl:operation name="setDisclosure">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/setDisclosure" style="document"/>
      <wsdl:input name="setDisclosure">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="setDisclosureResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getWritingAgreement">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/getWritingAgreement" style="document"/>
      <wsdl:input name="getWritingAgreement">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="getWritingAgreementResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="setWritingAgreement">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/setWritingAgreement" style="document"/>
      <wsdl:input name="setWritingAgreement">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="setWritingAgreementResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getReadingAgreement">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/getReadingAgreement" style="document"/>
      <wsdl:input name="getReadingAgreement">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="getReadingAgreementResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="setReadingAgreement">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/setReadingAgreement" style="document"/>
      <wsdl:input name="setReadingAgreement">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="setReadingAgreementResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="blindDocument">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/blindDocument" style="document"/>
      <wsdl:input name="blindDocument">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="blindDocumentResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getPreviousAgreement">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/getPreviousAgreement" style="document"/>
      <wsdl:input name="getPreviousAgreement">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="getPreviousAgreementResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getAgreements">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/getAgreements" style="document"/>
      <wsdl:input name="getAgreements">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="getAgreementsResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getDocumentBlindStatus">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/getDocumentBlindStatus" style="document"/>
      <wsdl:input name="getDocumentBlindStatus">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="getDocumentBlindStatusResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="setPreviousAgreement">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/setPreviousAgreement" style="document"/>
      <wsdl:input name="setPreviousAgreement">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="setPreviousAgreementResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
	<wsdl:operation name="setAgreements">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/setAgreements" style="document"/>
      <wsdl:input name="setAgreements">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="setAgreementsResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
	<wsdl:operation name="setConsensoPianoECare">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/setConsensoPianoECare" style="document"/>
      <wsdl:input name="setConsensoPianoECare">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="setConsensoPianoECareResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
	<wsdl:operation name="setChiusuraPianoECare">
      <soap:operation soapAction="http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/setChiusuraPianoECare" style="document"/>
      <wsdl:input name="setChiusuraPianoECare">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="setChiusuraPianoECareResponse">
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  
  <wsdl:service name="IGestoreConsensoService">
    <wsdl:port binding="tns:IGestoreConsensoPortBinding" name="IGestoreConsensoPort">
      <soap:address location="http://localhost:8282/aslba/IGestoreConsensoService"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>